[Risolto] Server spigot non parte

Salve a tutti,
ho un server ''localhost'' che non avviavo da 7 mesi,in pratica quando lo faccio partire con l'apposito file la console parte ma dopo un po che carica le librerie mi esce ''Stopping server'.Qui sotto vi allego la parte finale della console
Codice:
at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[Spigot.jar:git-Spigot-db6de12-18fbb24]
        ... 6 more
[15:10:44 ERROR]: Could not load 'plugins\SuperDeliveryMan_v2.1.2.2.jar' in folder 'plugins'
org.bukkit.plugin.UnknownDependencyException: Citizens
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:219) [Spigot.jar:git-Spigot-db6de12-18fbb24]
        at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [Spigot.jar:git-Spigot-db6de12-18fbb24]
        at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [Spigot.jar:git-Spigot-db6de12-18fbb24]
        at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [Spigot.jar:git-Spigot-db6de12-18fbb24]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_171]
[15:10:45 INFO]: Stopping server
.
[Immagine: clicca%20qui%20per%20seguirmi..png] [Immagine: progetto%20in%20arrivo%20%3D).png]
Codice:
[15:10:44 ERROR]: Could not load 'plugins\SuperDeliveryMan_v2.1.2.2.jar

L'errore dovrebbe essere questo. Prova a rimuovere quel plugin. Lo stop del server dovrebbe essere causato da quello.
Se ti sono stato d'aiuto lascia un Rep
@LampoGold ho provato a rimuoverlo...ma niente


[Immagine: clicca%20qui%20per%20seguirmi..png] [Immagine: progetto%20in%20arrivo%20%3D).png]
@LelloYT Allora posta tutta la console
Se ti sono stato d'aiuto lascia un Rep
@LampoGold ora mi è uscita una console diversa
Codice:
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
Loading libraries, please wait...
[15:43:28 INFO]: Starting minecraft server version 1.8.8
[15:43:28 INFO]: Loading properties
[15:43:28 INFO]: Default game type: SURVIVAL
[15:43:28 INFO]: This server is running CraftBukkit version git-Spigot-db6de12-18fbb24 (MC: 1.8.8) (Implementing API version 1.8.8-R0.1-SNAPSHOT)
[15:43:28 INFO]: Debug logging is disabled
[15:43:28 INFO]: Using 4 threads for Netty based IO
[15:43:28 INFO]: Server Ping Player Sample Count: 12
[15:43:28 INFO]: Generating keypair
[15:43:29 INFO]: Starting Minecraft server on *:25565
[15:43:29 INFO]: Using default channel type
[15:43:30 WARN]: Plugin `iConomy_Recreation v8.0' uses the space-character (0x20) in its name `iConomy Recreation' - this is discouraged
[15:43:30 INFO]: Set PluginClassLoader as parallel capable
[15:43:32 INFO]: Stopping server
[Immagine: clicca%20qui%20per%20seguirmi..png] [Immagine: progetto%20in%20arrivo%20%3D).png]
12/07/2018, 15:45LelloYT ha scritto: @LampoGold ora mi è uscita una console diversa

Codice:
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
Loading libraries, please wait...
[15:43:28 INFO]: Starting minecraft server version 1.8.8
[15:43:28 INFO]: Loading properties
[15:43:28 INFO]: Default game type: SURVIVAL
[15:43:28 INFO]: This server is running CraftBukkit version git-Spigot-db6de12-18fbb24 (MC: 1.8.8) (Implementing API version 1.8.8-R0.1-SNAPSHOT)
[15:43:28 INFO]: Debug logging is disabled
[15:43:28 INFO]: Using 4 threads for Netty based IO
[15:43:28 INFO]: Server Ping Player Sample Count: 12
[15:43:28 INFO]: Generating keypair
[15:43:29 INFO]: Starting Minecraft server on *:25565
[15:43:29 INFO]: Using default channel type
[15:43:30 WARN]: Plugin `iConomy_Recreation v8.0' uses the space-character (0x20) in its name `iConomy Recreation' - this is discouraged
[15:43:30 INFO]: Set PluginClassLoader as parallel capable
[15:43:32 INFO]: Stopping server

Prova a rinominare il plugin iConomy_Recreation in questo modo iConomyRecreation.
Se continua a darti ancora errore rimuovi il plugin (Modificato 12/07/2018, 15:50 da Giorgio1204.)
@Giorgio1204 l'ho cancellato perchè non mi serviva...ma la situazione non è cambiata Unsure
[Immagine: clicca%20qui%20per%20seguirmi..png] [Immagine: progetto%20in%20arrivo%20%3D).png]
@LelloYt Okay facendo una breve ricerca in rete ho trovato questo:

"If you're receiving the error "Set PluginClassLoader as parallel capable" and your server isn't starting, this would suggest you have installed a plugin from an untrusted source."

In merito a questo problema nella tua console:



Codice:
[15:43:30 INFO]: Set PluginClassLoader as parallel capable


Quindi prova a rimuovere tutti i plugin craccati che hai sul tuo server e riprova
Se ti sono stato d'aiuto lascia un Rep
12/07/2018, 15:50LelloYT ha scritto: @Giorgio1204 l'ho cancellato perchè non mi serviva...ma la situazione non è cambiata Unsure

Se hai plugin crackati rimuovili tutti, perchè vanno in conflitto con spigot.
@Giorgio1204 & @LampoGold Grazie mille! ora funziona,ma perchè 7 mesi fa questo problema non c'era?
[Immagine: clicca%20qui%20per%20seguirmi..png] [Immagine: progetto%20in%20arrivo%20%3D).png]
@LelloYT Non sono un dev e non me ne intendo ma probabilmente i sistemi “anti pirateria” sono cambiati. Quindi plugin craccati vecchi di 7 mesi fa difficilmente funzionano. Ps: Comprali i plugin <3
Se ti sono stato d'aiuto lascia un Rep
@LampoGold però io non ho aggiornato spigot
I plugin non li compro perchè è un server privato per giocare con gli amici,poi se devo fare una cosa seria li compro
CMQ grazie per l'aiuto Bananarap
[Immagine: clicca%20qui%20per%20seguirmi..png] [Immagine: progetto%20in%20arrivo%20%3D).png]
Discussioni simili
 
[Problema] spigot 1.13
4 94
Risposta di xGab0
12/10/2018, 19:10
Risposta di Kestrel
27/09/2018, 07:52
Risposta di ReNext
09/09/2018, 20:48
Risposta di EdwardTheKnight
05/09/2018, 11:41
Risposta di jefuhr
03/09/2018, 21:38

Utente(i) che stanno guardando questa discussione: 1 Ospite(i)